'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');
const index$1 = require('./index-211dabb8.js');

const dyteParticipantsToggleCss = ":host{display:block}";

const DyteParticipantsToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.participantsActive = false;
  }
  connectedCallback() {
    this.statesChanged(this.states);
  }
  statesChanged(states) {
    if (states != null) {
      this.participantsActive = this.states.activeSidebar && this.states.sidebar === 'participants';
    }
  }
  toggleParticipantsTab() {
    this.participantsActive = !(this.states.activeSidebar && this.states.sidebar === 'participants');
    this.stateUpdate.emit({
      activeSidebar: this.participantsActive,
      sidebar: this.participantsActive ? 'participants' : 'none',
    });
  }
  render() {
    const text = this.t('participants');
    return (index.h(index.Host, { title: text }, index.h("dyte-controlbar-button", { class: { active: this.participantsActive }, size: this.size, onClick: () => this.toggleParticipantsTab(), icon: this.iconPack.participants, label: text })));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
};
DyteParticipantsToggle.style = dyteParticipantsToggleCss;

exports.dyte_participants_toggle = DyteParticipantsToggle;
