'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');
const index$1 = require('./index-211dabb8.js');

const dytePluginsToggleCss = ":host{display:block}";

const DytePluginsToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.pluginsActive = false;
  }
  connectedCallback() {
    this.statesChanged(this.states);
  }
  statesChanged(states) {
    if (states != null) {
      this.pluginsActive = this.states.activeSidebar && this.states.sidebar === 'plugins';
    }
  }
  togglePlugins() {
    this.pluginsActive = !(this.states.activeSidebar && this.states.sidebar === 'plugins');
    this.stateUpdate.emit({
      activeSidebar: this.pluginsActive,
      sidebar: this.pluginsActive ? 'plugins' : 'none',
    });
  }
  render() {
    const text = this.t('plugins');
    return (index.h(index.Host, { title: text }, index.h("dyte-controlbar-button", { class: { active: this.pluginsActive }, size: this.size, onClick: () => this.togglePlugins(), icon: this.iconPack.rocket, label: text })));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
};
DytePluginsToggle.style = dytePluginsToggleCss;

exports.dyte_plugins_toggle = DytePluginsToggle;
