import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const dyteIconCss = ":host{display:block;height:var(--dyte-space-10, 40px);font-family:var(--dyte-font-family, sans-serif)}:host .icon-wrapper{display:flex;height:100%;width:100%;flex-direction:column;align-items:center}:host svg{height:100%;width:100%}";

const parseIcon = (icon) => {
  try {
    return JSON.parse(icon);
  }
  catch (e) {
    return icon;
  }
};
const DyteIcon = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("div", { class: "icon-wrapper", innerHTML: parseIcon(this.icon) })));
  }
  static get style() { return dyteIconCss; }
}, [1, "dyte-icon", {
    "icon": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-icon":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteIcon);
      }
      break;
  } });
}

export { DyteIcon as D, defineCustomElement as d };
