import { IconPack } from '../../lib/icons';
import { Meeting, Peer } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { DytePlugin } from '@dyte-in/client-core';
interface ScreenshareTab {
  type: 'screenshare';
  peer: Peer;
}
interface PluginTab {
  type: 'plugin';
  plugin: DytePlugin;
}
declare type ActiveTab = ScreenshareTab | PluginTab;
export declare class DyteFullGrid {
  /** Active Peers */
  peers: Peer[];
  /** Screenshare Peers */
  screenSharePeers: Peer[];
  /** Active plugins */
  plugins: DytePlugin[];
  /** Aspect ratio */
  aspectRatio: string;
  /** Gap between peers */
  gap: number;
  /** Meeting object */
  meeting: Meeting;
  /** Size */
  size: Size;
  activeTab: ActiveTab;
  /** States */
  states: States;
  /** Config object */
  config: UIConfig;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  connectedCallback(): void;
  screenSharePeersChanged(screenSharePeers?: Peer[]): void;
  pluginsChanged(plugins: DytePlugin[]): void;
  private revalidateActiveTab;
  private reassignActiveTab;
  render(): any;
}
export {};
