import DyteEventEmitter from '../utils/DyteEventEmitter';
export declare enum RoomViewType {
    webinar = 0,
    groupCall = 1,
    audioRoom = 2
}
/**
 * This consists of the metadata of the meeting, such as the room name and the title.
 * @module DyteMeta
 * @typicalname meeting.meta
 */
export default class DyteMeta extends DyteEventEmitter {
    /**
     * The room name of the meeting.
     */
    roomName: string;
    /**
     * This is set to true if the current user has joined the meeting.
     */
    joined: boolean;
    /**
     * Indicates the meeting is a group-call or a webinar.
     */
    roomType: keyof typeof RoomViewType;
    /**
     * The title of the meeting.
     */
    meetingTitle: string;
    /**
     * The timestamp of the time when the meeting started.
     */
    meetingStartedTimestamp: Date;
    constructor(roomName: string, meetingTitle: string);
}
