/// <reference types="node" />
import { EventEmitter } from 'events';
export declare enum DyteEvents {
    '*' = 0,
    added = 1,
    deleted = 2,
    connected = 3,
    disconnected = 4,
    poorConnection = 5,
    roomJoined = 6,
    roomLeft = 7,
    audioUpdate = 8,
    videoUpdate = 9,
    screenShareUpdate = 10,
    previewUpdate = 11,
    deviceUpdate = 12,
    chatUpdate = 13,
    pinMessage = 14,
    unpinMessage = 15,
    pollsUpdate = 16,
    participantJoined = 17,
    participantLeft = 18,
    participantsUpdate = 19,
    viewModeChanged = 20,
    pageChanged = 21,
    activeSpeaker = 22,
    pluginAdded = 23,
    pluginDeleted = 24,
    stateUpdate = 25
}
export default class DyteEventEmitter extends EventEmitter {
    emit(event: keyof typeof DyteEvents, ...args: any[]): boolean;
    on(event: keyof typeof DyteEvents, callback: (...args: any[]) => void): this;
    addListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    off(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    once(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    prependListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    prependOnceListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    removeListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    removeAllListeners(event?: keyof typeof DyteEvents): this;
    listeners(event: keyof typeof DyteEvents): Function[];
    listenerCount(event: keyof typeof DyteEvents): number;
}
